Search Volunteers
curl --request GET \
--url https://api.virtuoussoftware.com/api/Volunteer/Search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Volunteer/Search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Volunteer/Search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Volunteer/Search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Volunteer/Search';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 0,
"volunteerUrl": "string",
"createDateTimeUtc": "dateTime",
"createdByUser": "string",
"modifiedDateTimeUtc": "dateTime",
"modifiedByUser": "string",
"contactId": 0,
"contactIndividualId": 0,
"contactUrl": "string",
"displayName": "string",
"firstName": "string",
"avatarUrl": "string",
"primaryPhone": "string",
"primaryEmail": "string",
"totalHours": 0,
"timesVolunteered": 0,
"volunteerAttendanceUrl": "string",
"volunteerOpportunityId": 0,
"volunteerOpportunityUrl": "string"
}
],
"total": 0
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Volunteer
Search Volunteers
GET
/
api
/
Volunteer
/
Search
Search Volunteers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The volunteer opportunity identifier.
The volunteer identifier.
The contact identifier.
The contact individual identifier.
The email address of the volunteer.
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Last modified on July 24, 2026
Was this page helpful?
⌘I